<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">list</h5>
                                            <span class="h2 font-weight-bold mb-0">Tugas Akhir </span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-user-astronaut"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col">
                    <div class="card shadow">
                        <div class="card-header border-0">
                            <h3 class="mb-0">
                                Data List
                            </h3>
                        </div>
                        <div class="card-body">
                            <form method="get">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>Tahun Akademik</label>
                                        <select name="tahun" id="" class="form-control">
                                            <option value="" selected disabled>-- Select One --</option>
                                            <option th:each="tahun : ${tahun}"
                                                th:selected="(${tahun} == *{selectedTahun})"
                                                th:text="${tahun.namaTahunAkademik}" th:value="${tahun.id}"></option>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <label>Prodi</label>
                                        <select name="prodi" id="" class="form-control">
                                            <option value="" selected disabled>-- Select One --</option>
                                            <option th:each="prodi : ${prodi}"
                                                th:selected="(${prodi} == *{selectedProdi})"
                                                th:text="${prodi.namaProdi}" th:value="${prodi.id}"></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row" style="padding-top: 10px; padding-bottom: 20px;">
                                    <div class="col-md-12" style="text-align: center;">
                                        <button class="btn btn-info"><i class="fas fa-search"></i> Search</button>
                                    </div>
                                </div>
                            </form>
                        </div>

                        <div th:if="${selectedTahun != null}">
                            <div class="card-body">
                                <div class="row p-3">
                                    <a th:href="@{/download/concept-note(tahunAkademik = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                        class="btn btn-success btn-sm" >Download Excel</a>
                                </div>
                                <div class="row">
                                    <div class="col-md-3" th:if="${status == null}">
                                        <a th:href="@{/graduation/admin/list (tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-primary">All</a>
                                    </div>
                                    <div class="col-md-3" th:if="${status != null}">
                                        <a th:href="@{/graduation/admin/list (tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">All</a>
                                    </div>
                                    <div class="col-md-3" th:if="${status == null}">
                                        <a th:href="@{/graduation/admin/list (status = 'APPROVED',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">Approved</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status != null && status != status.APPROVED}">
                                        <a th:href="@{/graduation/admin/list (status = 'APPROVED',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">Approved</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status != null && status == status.APPROVED}">
                                        <a th:href="@{/graduation/admin/list (status = 'APPROVED',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-primary">Approved</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status == null}">
                                        <a th:href="@{/graduation/admin/list (status = 'WAITING',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">Waiting</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status != null && status != status.WAITING}">
                                        <a th:href="@{/graduation/admin/list (status = 'WAITING',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">Waiting</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status != null && status == status.WAITING}">
                                        <a th:href="@{/graduation/admin/list (status = 'WAITING',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-primary">Waiting</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status == null}">
                                        <a th:href="@{/graduation/admin/list (status = 'REJECTED',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">Rejected</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status != null && status != status.REJECTED}">
                                        <a th:href="@{/graduation/admin/list (status = 'REJECTED',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-secondary">Rejected</a>
                                    </div>

                                    <div class="col-md-3" th:if="${status != null && status == status.REJECTED}">
                                        <a th:href="@{/graduation/admin/list (status = 'REJECTED',tahun = ${selectedTahun.id}, prodi = ${selectedProdi.id})}"
                                            style="width: 100%;" class="btn btn-primary">Rejected</a>
                                    </div>



                                </div>
                            </div>

                            <div class="table-responsive">
                                <table class="table align-items-center table-flush">
                                    <thead class="thead-light">
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">NIM</th>
                                            <th scope="col">Name</th>
                                            <th scope="col">Lecturer 1</th>
                                            <th scope="col">Lecturer 2</th>
                                            <th scope="col">Type</th>
                                            <th scope="col">Status</th>
                                            <th></th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr th:each="data,row : ${listNote}">
                                            <td th:text="${(row.index + 1) + (listNote.number * listNote.size)}">1</td>
                                            <td th:text="${data.mahasiswa.nim}">11605557</td>
                                            <td>
                                                <button th:text="${data.mahasiswa.nama}"
                                                    class="btn btn-success btn-outline-success btn-sm"
                                                    data-toggle="modal"
                                                    th:data-target="${'#modal-default' + data.id}"></button>
                                                <!-- Modal -->
                                            </td>
                                            <div class="modal fade" th:id="${'modal-default' + data.id}" tabindex="-1"
                                                role="dialog" aria-labelledby="modal-default" aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-centered modal-7" role="document">
                                                    <div class="modal-content">

                                                        <div class="modal-header">
                                                            <h6 class="modal-title" id="modal-title-default">Type your
                                                                modal title</h6>
                                                            <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                                <span aria-hidden="true">×</span>
                                                            </button>
                                                        </div>

                                                        <div class="modal-body">
                                                            <b>Title</b>
                                                            <p th:text="${data.judul}">Far far away, behind the word
                                                                mountains, far from the countries Vokalia and
                                                                Consonantia, there live the blind texts. Separated they
                                                                live in Bookmarksgrove right at the coast of the
                                                                Semantics, a large language ocean.</p>
                                                            <b>Title English</b>
                                                            <p th:text="${data.judulInggris}">A small river named Duden
                                                                flows by their place and supplies it with the necessary
                                                                regelialia. It is a paradisematic country, in which
                                                                roasted parts of sentences fly into your mouth.</p>
                                                            <b>DESCRIPTION</b>
                                                            <p th:if="${data.keterangan != null}"
                                                                th:text="${data.keterangan}">Pak Irham tidak kepakaran
                                                                beliau dalam aspek perbankan, beliau lebih ke
                                                                Internasional Business and Trade, digital marketing dan
                                                                entrepreunership
                                                            </p>
                                                            <p th:if="${data.keterangan == null}"
                                                                th:text="${data.keterangan}">Pak Irham tidak kepakaran
                                                                beliau dalam aspek perbankan, beliau lebih ke
                                                                Internasional Business and Trade, digital marketing dan
                                                                entrepreunership
                                                            </p>
                                                        </div>

                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-link  ml-auto"
                                                                data-dismiss="modal">Close</button>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>

                                            <td th:text="${data.dosen.karyawan.namaKaryawan}">Dosen 1</td>
                                            <td th:if="${data.dosen2 != null}"
                                                th:text="${data.dosen2.karyawan.namaKaryawan}">Dosen 2</td>
                                            <td th:if="${data.dosen2 == null}"></td>
                                            <td><span class="badge badge-pill badge-lg badge-info"
                                                    th:text="${data.jenis}">Info</span></td>

                                            <td>
                                                <button class="btn btn-success btn-sm"
                                                    th:if="${data.status == data.status.APPROVED}"
                                                    th:text="${data.status}">Approved</button>
                                                <button class="btn btn-warning btn-sm"
                                                    th:if="${data.status == data.status.WAITING}"
                                                    th:text="${data.status}">Waiting</button>

                                                <button class="btn btn-danger btn-sm"
                                                    th:if="${data.status == data.status.REJECTED}"
                                                    th:text="${data.status}">Rejected</button>

                                            </td>
                                            <td><a th:href="@{/graduation/admin/form(id = ${data.id})}"
                                                    class="btn btn-primary btn-sm"><i class="fa fa-cog"></i> Validasi
                                                </a></td>
                                        </tr>

                                    </tbody>
                                </table>
                            </div>

                            <div class="card-footer">

                                <nav aria-label="Page navigation example">
                                    <ul class="pagination" sd:pagination="full">
                                        <li class="page-item">
                                            <a class="page-link" href="#" aria-label="Previous">
                                                <i class="fa fa-angle-left"></i>
                                                <span class="sr-only">Previous</span>
                                            </a>
                                        </li>
                                        <li class="page-item"><a class="page-link" href="#">1</a></li>

                                        <li class="page-item">
                                            <a class="page-link" href="#" aria-label="Next">
                                                <i class="fa fa-angle-right"></i>
                                                <span class="sr-only">Next</span>
                                            </a>
                                        </li>
                                    </ul>
                                </nav>


                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>